import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Car here.
 */ 

public class Car extends Actor
{
    private Actor collidedVehicle;
    private Actor collidedPerson;
    private Actor collidedBackground;
    private int counter = 0;
    public static int level = 1;
    /**
     * Act - do whatever the Car wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        checkKeyAndMove();
        createHorn();
        checkCollision();
        click();
    }
    public void checkKeyAndMove()
    {
       
          if(getX()<400)
          {
             if (Greenfoot.isKeyDown("right"))    
             {
                setLocation( getX()+2, getY() );
             }
             if (Greenfoot.isKeyDown("left"))    
             {
                setLocation( getX()-2, getY() );
             }
          }
          else
          {
             if (Greenfoot.isKeyDown("right"))    
             {
                setLocation( getX()+(1/5), getY() );
             }
             if (Greenfoot.isKeyDown("left"))    
             {
                setLocation( getX()-(1/5), getY() );
             }
          }
          if(getX()>215)
          {
             if (Greenfoot.isKeyDown("right"))    
             {
                setLocation( getX()+2, getY() );
             }
             if (Greenfoot.isKeyDown("left"))    
             {
                setLocation( getX()-2, getY() );
             }
          }
          else
          {
             if (Greenfoot.isKeyDown("right"))    
             {
                setLocation( getX()+(1/5), getY() );
             }
             if (Greenfoot.isKeyDown("left"))    
             {
                setLocation( getX()-(1/5), getY() );
             }
            }
       
    }
    public void createHorn()
    {
       
          if(counter == 0)
          {
             if (Greenfoot.isKeyDown("space"))
             {
                getWorld().addObject(new Horn(),getX(),getY());
                counter = 150;
             }
          }
          else
          {
             counter--;
          }
       
   }
    public void checkCollision()
    {
        collidedVehicle = getOneIntersectingObject(Vehicle.class);
        collidedPerson = getOneIntersectingObject(Person.class);
        collidedBackground = getOneIntersectingObject(Background.class);
        if (collidedVehicle != null)
        {
           getWorld().removeObject(collidedVehicle);
           if(level == 1){
               ((CarWorld) getWorld()).collided();
            }else if(level == 2){
             ((CarWorld2) getWorld()).collided();    
            }
           
           Greenfoot.playSound("Explosion.wav");
        }
        if (collidedPerson != null)
        {
           getWorld().removeObject(collidedPerson);
           if(level == 1){
               ((CarWorld) getWorld()).collided();
            }else if(level == 2){
             ((CarWorld2) getWorld()).collided();    
            }
           Greenfoot.playSound("Explosion.wav");
        }
        if(collidedBackground != null)
        {
           getWorld().removeObject(collidedBackground);
           if(level == 1){
               ((CarWorld) getWorld()).collided();
            }else if(level == 2){
             ((CarWorld2) getWorld()).collided();    
            }
           Greenfoot.playSound("Explosion.wav");
        }
    }
    public void click()
    {
       if(Greenfoot.mouseClicked(null))
       {
          
             //((CarWorld) getWorld()).pauseGame(true);
             getWorld().addObject(new Information(),300,300);
          
       }
    }
}
