import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Horn here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Horn  extends Actor
{
    private GreenfootImage image1;
    private GreenfootImage image2;
    private Actor collidedVehicle;
    private Actor collidedPerson;
    private Actor collidedBackground;
    public static int level = 1;
    public Horn()
    {
       image1 = new GreenfootImage("explosion.png");
       image2 = new GreenfootImage("explosion-big.png");
       Greenfoot.playSound("horn.wav");
    }
    /**
     * Act - do whatever the Horn wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
       moveUp();
       check();
    }    
    public void moveUp()
    {
       
          setLocation(getX(), getY()-4);
       
    }
    public void check()
    {
       collidedVehicle = getOneIntersectingObject(Vehicle.class);
       collidedPerson = getOneIntersectingObject(Person.class);
       collidedBackground = getOneIntersectingObject(Background.class);
       
       if(collidedVehicle != null || collidedPerson != null || collidedBackground != null || getY() == 0)
       {
          Greenfoot.playSound("diss.wav");
          if(collidedVehicle != null)
          {
              if(level == 1){
                  ((CarWorld) getWorld()).addScore(50);
                }else if(level ==2 ){
                    ((CarWorld2) getWorld()).addScore(50);
                }else if(level ==3 ){
                    ((CarWorld3) getWorld()).addScore(50);
                }else if(level ==4 ){
                    ((CarWorld4) getWorld()).addScore(50);
                }
             
             getWorld().removeObject(collidedVehicle);
          }
          if(collidedBackground != null)
          {
             if(level == 1){
                  ((CarWorld) getWorld()).addScore(75);
                }else if(level ==2 ){
                    ((CarWorld2) getWorld()).addScore(75);
                }else if(level ==3 ){
                    ((CarWorld3) getWorld()).addScore(75);
                }else if(level ==4 ){
                    ((CarWorld4) getWorld()).addScore(75);
                }
             getWorld().removeObject(collidedBackground);
          }
          if(collidedPerson != null)
          {
             if(level == 1){
                  ((CarWorld) getWorld()).addScore(100);
                }else if(level ==2 ){
                    ((CarWorld2) getWorld()).addScore(100);
                }else if(level ==3 ){
                    ((CarWorld3) getWorld()).addScore(100);
                }else if(level ==4 ){
                    ((CarWorld4) getWorld()).addScore(100);
                }
             getWorld().removeObject(collidedPerson);
          }
          getWorld().removeObject(this);
       }
    }
}
